Skip to main content

List Accounts

GET
/accounts

If the provided institution_id is invalid, a 404 Not Found error response should be returned.

If there are no accounts available for the user, an empty or self-terminating <accounts> element should be returned.

MX will reconcile the accounts in our system with the accounts received in the response. This reconciliation process will insert new accounts and will update existing account details. Accounts that exist in the MX system that are not received in the data feed will not be removed.

MX recommends partners return recently-closed accounts in the response with the is_closed field set to true. This allows MX to mark the account as closed, but to retain the account's history for the user.

Response Fields

FieldRequiredType

account_number

Optional
String

apr

Optional
Decimal

apy

Optional
Decimal

available_balance

Required
Decimal

available_credit

Optional
Decimal

balance

Required
Decimal

cash_advance_apr

Optional
Decimal

cash_surrender_value

Optional
Decimal

credit_limit

Optional
Decimal

currency_code

Optional
String

day_payment_is_due

Optional
Integer

death_benefit

Optional
String

has_holdings

This indicates whether the account has holdings associated with it. This field is used fo syncing holdings with MDX On Demand and is not included in models for other APIs such as MDX Real Time, Nexus, or Platform.

Optional
Boolean

has_monthly_transfer_limit

Optional
Boolean

id

Required
String

insured_name

Optional
String

interest_rate

Optional
Decimal

is_closed

Optional
Boolean

is_hidden

Optional
Boolean

last_payment

Optional
Decimal

last_payment_at

Optional
Integer

last_payment_on

Optional
String

loan_amount

Optional
Decimal

matures_at

Optional
Integer

matures_on

Optional
String

metadata

Optional
String

minimum_balance

Optional
Decimal

minimum_payment

Optional
Decimal

monthly_transfer_count

Optional
Decimal

name

Required
String

nickname

Optional
String

original_balance

Optional
Decimal

past_due_amount

Optional
Decimal

past_due_at

Optional
Integer

past_due_on

Optional
String

payment_due_at

Optional
Integer

payment_due_on

Optional
String

payoff_balance

Optional
Decimal

pay_out_amount

Optional
Decimal

pending_balance

Optional
Decimal

premium_amount

Optional
Decimal

routing_number

Optional
String

started_at

Optional
Integer

started_on

Optional
String

statement_balance

Optional
Integer

statement_closed_on

Optional
String

subtype

Optional
String

type

Required
String

Expected Response

200
Language:xml

_15
<mdx version="5.0">
_15
<accounts>
_15
<account>
_15
<id>84943189431</id>
_15
<type>CHECKING</type>
_15
<name><![CDATA[Premium Checking]]></name>
_15
<balance>1972.38</balance>
_15
<available_balance>1972.38</available_balance>
_15
<account_number>12345-678</account_number>
_15
<currency_code>USD</currency_code>
_15
<!-- additional MDX account fields as desired-->
_15
</account>
_15
<!-- additional <account> elements as needed -->
_15
</accounts>
_15
</mdx>